GHC 6.8.1 on Mac OS X 10.5 (Leopard)

Manuel M T Chakravarty chak at
Tue Nov 6 01:29:05 EST 2007

A full binary distribution of GHC 6.8.1 for Mac OS X 10.5 (Leopard) is  
available from

To use it, you need two other pieces of software installed:

   Xcode 3.0    -- as available from the Leopard upgrade/install DVD  
   readline 5.2 -- preferably installed via macports in /opt/local

Moreover, if you have the GMP.framework installed (a leftover from  
10.4), remove it first.

To install, follow the instructions at

Happy Haskell Hacking!


GHC on Mac OS X 10.5 mini FAQ:

* When trying to compile GHC, I get a segv on Float.lhs (of the base  
package is compiled).  Why?

     AFAIK this only happens if the GHC you try to bootstrap with is  
too old (eg, 6.6).

* With the binary distribution why do I get a link error complaining  
about "_environ"?

     You still have the GMP framework installed.  It was linked  
against an old libc, which causes
     the error.  Remove the GMP framework.

* What GMP library is used?

     GHC 6.8.1 includes an embedded GMP library (ie, it's bundled with  
the source).  It is
     compiled as a static library and placed into the GHC install tree.

More information about the Glasgow-haskell-users mailing list